//Created by Amin Rahmani, Ph.D., P.E. - February 6, 2018
//Copyright © 2018 Amin Rahmani. All rights reserved.

//==========================================================================================================================
//                                '****   Notes  ****
// This ".hpp" file declares classes and variables required for performing the analyses.
//===========================================================================================================================

#ifndef basicIntrep_hpp
#define basicIntrep_hpp


#include <iostream>
#include <vector>
#include <fstream>
#include <cmath>
#include <algorithm>
#include <stdio.h>

using namespace std;

class basicIntrep {
    
protected:
    int numDataPoint;
    const double a = 0.8;
    double insituWT;
    double historWT;
    double PGA;
    double Mw;
    double Ic_cutoff;
    string CPTdata;
    string outputs;
    
    vector <double> depth;
    vector <double> q_c;
    vector <double> f_s;
    vector <double> u_water;
    
    vector <double> q_t;
    vector <double> gamma_t;
    
    vector <double> TotStress;
    vector <double> insitu_hydr;
    vector <double> insitu_EffStress;
    
    vector <double> design_hydr;
    vector <double> design_EffStress;
    
    vector <double> n_pow;
    vector <double> CN;
    vector <double> Qn;
    vector <double> Fn;
    vector <double> Ic;
    vector <double> FC;
    vector <double> K_c;
    
    vector <double> m_pow;
    vector <double> Cm;
    vector <double> qc1N;
    vector <double> d_qc1N;
    vector <double> qc1N_cs;
    
    vector <double> CRR;
    vector <double> CSR;
    vector <double> k_sigma;
    vector <double> M_sf;
    vector <double> rd;
    vector <double> FoS;
    
public:
    
    //Default constructor
    basicIntrep();
    
    //Destructor
    ~basicIntrep();
    
    //functions;
    
    void getValues (double, double, double, double, double, string, string );
    void readCPT ();
    void basicCalcs ();
    void writeOutputs ();
    
};

#endif /* basicIntrep_hpp */
