//
//  main.cpp
//  Liq Triggering Analysis
//
//  Created by Amin Rahmani on 2017-08-05.
//  Copyright © 2017 Amin Rahmani. All rights reserved.
//

//#include <iostream>


#include "basicIntrep.hpp"
#include "B&I(2014).hpp"
#include "Youd_et_al_2001.hpp"

int main() {

    B_I_2014 cpt1; // Declare object which represents input CPT data
	
	// set values
    cpt1.getValues(9.0, 9.0, 0.534, 6.9, 2.60, "cptData.txt", "Results.txt");
	//cpt1.getValues(Insitu water table, historical water table, PGA, M, Ic_cutt off, input CPT file, Outputs file name);

	//Performs liquefaction analysis per Boulanger and Idriss (2014)
    cpt1.B_I_liqAaly();

	
    youd_et_al_2001 cpt2;
	// set values
    cpt2.getValues(9.0, 9.0, 0.534, 6.9, 2.60, "cptData.txt", "Results2.txt");
	
	//Performs liquefaction analysis per Youd et al (2001)
    cpt2.youd_liqAnaly();
    
    return 0;
}
